Bug 67858 - Build system improvements
Summary: Build system improvements
Status: RESOLVED FIXED
Alias: None
Product: GeoClue
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Geoclue Bugs
QA Contact: Geoclue Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-07 09:30 UTC by Philip Withnall
Modified: 2013-12-04 13:54 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Port to Makefile.introspection for GIR support (6.91 KB, patch)
2013-08-07 09:30 UTC, Philip Withnall
Details | Splinter Review
Use git.mk to auto-generate the .gitignore file (12.24 KB, patch)
2013-08-07 09:30 UTC, Philip Withnall
Details | Splinter Review
Find gdbus-codegen path from gio-2.0 pkg-config file (1.40 KB, patch)
2013-08-07 09:32 UTC, Philip Withnall
Details | Splinter Review
Fix name of DOAP file (2.72 KB, patch)
2013-08-07 09:33 UTC, Philip Withnall
Details | Splinter Review
Add vapigen support (5.21 KB, patch)
2013-08-07 09:34 UTC, Philip Withnall
Details | Splinter Review
Ensure org.freedesktop.GeoClue2.conf is distributed (755 bytes, patch)
2013-08-07 09:35 UTC, Philip Withnall
Details | Splinter Review
Use git.mk to auto-generate the .gitignore file (14.12 KB, patch)
2013-12-04 00:36 UTC, Philip Withnall
Details | Splinter Review
Find gdbus-codegen path from gio-2.0 pkg-config file (1.45 KB, patch)
2013-12-04 00:36 UTC, Philip Withnall
Details | Splinter Review
Ensure org.freedesktop.GeoClue2.conf is distributed (703 bytes, patch)
2013-12-04 00:36 UTC, Philip Withnall
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Withnall 2013-08-07 09:30:07 UTC
Created attachment 83770 [details] [review]
Port to Makefile.introspection for GIR support

Patches coming to improve various bits of the build system, including:
 • Tidying up GIR Makefile stuff.
 • Adding vapigen support.
 • Fixing `make distcheck`.
 • Fixing the name of the DOAP file.
Comment 1 Philip Withnall 2013-08-07 09:30:40 UTC
Created attachment 83771 [details] [review]
Use git.mk to auto-generate the .gitignore file
Comment 2 Philip Withnall 2013-08-07 09:32:55 UTC
Created attachment 83772 [details] [review]
Find gdbus-codegen path from gio-2.0 pkg-config file
Comment 3 Philip Withnall 2013-08-07 09:33:43 UTC
Created attachment 83773 [details] [review]
Fix name of DOAP file
Comment 4 Philip Withnall 2013-08-07 09:34:17 UTC
Created attachment 83774 [details] [review]
Add vapigen support
Comment 5 Bastien Nocera 2013-08-07 09:34:34 UTC
Comment on attachment 83770 [details] [review]
Port to Makefile.introspection for GIR support

Review of attachment 83770 [details] [review]:
-----------------------------------------------------------------

We need to remove introspection and the library altogether. It's a D-Bus service, and there shouldn't be any libraries (the pkg-config file can still be useful to export the service's XML file though).
Comment 6 Bastien Nocera 2013-08-07 09:34:52 UTC
Comment on attachment 83771 [details] [review]
Use git.mk to auto-generate the .gitignore file

Review of attachment 83771 [details] [review]:
-----------------------------------------------------------------

Yes.
Comment 7 Philip Withnall 2013-08-07 09:35:03 UTC
Created attachment 83775 [details] [review]
Ensure org.freedesktop.GeoClue2.conf is distributed
Comment 8 Bastien Nocera 2013-08-07 09:35:16 UTC
Comment on attachment 83772 [details] [review]
Find gdbus-codegen path from gio-2.0 pkg-config file

Review of attachment 83772 [details] [review]:
-----------------------------------------------------------------

Yes.
Comment 9 Bastien Nocera 2013-08-07 09:35:42 UTC
Comment on attachment 83773 [details] [review]
Fix name of DOAP file

Review of attachment 83773 [details] [review]:
-----------------------------------------------------------------

Haha, yes.
Comment 10 Bastien Nocera 2013-08-07 09:36:19 UTC
Comment on attachment 83774 [details] [review]
Add vapigen support

Review of attachment 83774 [details] [review]:
-----------------------------------------------------------------

Please remove this.
Comment 11 Bastien Nocera 2013-08-07 09:37:56 UTC
Comment on attachment 83775 [details] [review]
Ensure org.freedesktop.GeoClue2.conf is distributed

Review of attachment 83775 [details] [review]:
-----------------------------------------------------------------

Yes.
Comment 12 Philip Withnall 2013-08-07 10:03:47 UTC
I don’t have commit rights to git.freedesktop.org. I’ll leave the de-libification for Zeeshan.
Comment 13 Zeeshan Ali 2013-11-26 01:02:03 UTC
This bugzilla makes is really hard to tell the patch status. I really think we should use mailing list for patches in case of freedesktop projects.
Comment 14 Zeeshan Ali 2013-11-26 01:04:42 UTC
(In reply to comment #12)
> I don’t have commit rights to git.freedesktop.org.

Sorry I totally forgot about these patches. Could you please rebase them and 'obsolete' the ones that are obsolete?

> I’ll leave the
> de-libification for Zeeshan.

Already done. :)
Comment 15 Philip Withnall 2013-12-04 00:36:06 UTC
Created attachment 90203 [details] [review]
Use git.mk to auto-generate the .gitignore file
Comment 16 Philip Withnall 2013-12-04 00:36:22 UTC
Created attachment 90204 [details] [review]
Find gdbus-codegen path from gio-2.0 pkg-config file
Comment 17 Philip Withnall 2013-12-04 00:36:39 UTC
Created attachment 90205 [details] [review]
Ensure org.freedesktop.GeoClue2.conf is distributed
Comment 18 Philip Withnall 2013-12-04 00:37:33 UTC
(In reply to comment #14)
> Sorry I totally forgot about these patches. Could you please rebase them and
> 'obsolete' the ones that are obsolete?

Rebased and reattached. :-)
Comment 19 Zeeshan Ali 2013-12-04 13:52:41 UTC
Comment on attachment 90203 [details] [review]
Use git.mk to auto-generate the .gitignore file

Pushed
Comment 20 Zeeshan Ali 2013-12-04 13:54:39 UTC
All pushed. Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.